package ink.wgink.exceptions.websocket;

/**
 * @ClassName: CustomHandleException
 * @Description: 自定义处理异常
 * @Author: wanggeng
 * @Date: 2021/10/9 4:09 下午
 * @Version: 1.0
 */
public class CustomHandleException extends BaseSocketException {

    public CustomHandleException() {
        super();
    }

    public CustomHandleException(String message) {
        super(message);
    }

    public CustomHandleException(String message, Throwable cause) {
        super(message, cause);
    }

    public CustomHandleException(Throwable cause) {
        super(cause);
    }

    public CustomHandleException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
}
